TimeStampTokenInfoUnitTest (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.tsp.test

## Class TimeStampTokenInfoUnitTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.tsp.test.TimeStampTokenInfoUnitTest

- All Implemented Interfaces:
    junit.framework.Test

      public class TimeStampTokenInfoUnitTest
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeStampTokenInfoUnitTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testTstInfo1()`
    `void` | `testTstInfo2()`
    `void` | `testTstInfo3()`
    `void` | `testTstInfoDudDate()`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeStampTokenInfoUnitTest

          public TimeStampTokenInfoUnitTest()

  - ### Method Detail

    - #### testTstInfo1

          public void testTstInfo1()
                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testTstInfo2

          public void testTstInfo2()
                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testTstInfo3

          public void testTstInfo3()
                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testTstInfoDudDate

          public void testTstInfoDudDate()
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`